{% extends 'base.html' %}

{% block content %}
    <main>
        <h1>HomePage</h1>

<form action="{% url 'search_posts' %}" method="get">
    {% csrf_token %}
  <input name="q" type="text" placeholder="Search...">
  <button type="submit" >Search</button>
</form>
        <div class="project-list">
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            {% if projects.count == 0 %}
                <p>You are not assigned to any projects</p>
            {% else %}
                {% for project in projects %}
                    <table>
                        <thread>
                        <th>Name</th>
                        <th>Number of tasks</th>
                        </thread>
                        <tbody>
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.count }}</td>
                            </tr>
                        </tbody>
                    </table>
                {% endfor %}
            {% endif %}
        </div>
    </main>
{% endblock content %}
